Subject: Re: [PATCH] replay: drop rev-list formatting options from manual

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Jan 2026 15:11:05 -0800

Junio C Hamano <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> "D. Ben Knoble" <[email-masked]> writes:
>>
>>> If I've understood all that correctly, then I have the Python version
>>> installed for building Git and it understood the syntax. Given that
>>> the Ruby version is newer, I think it should also work against the
>>> spec.
>>
>> We have CI jobs to catch the differences so hopefully we know soon
>> enough if one is so badly broken ;-)
>>
>> Thanks.
>
> We didn't have to wait for CI jobs.  You can try
>
> 	make -C Documentation lint-docs
>
> which reveals that somebody is not expecting these multiple things
> there.  I think Documentation/lint-gitlink.perl needs updating.

Perhaps something like this.  Haven't thought things through to spot
negative ramifications, though.

The original comes from f81a574f (doc: test linkgit macros for
well-formedness, 2025-08-11); its author Cc'ed for better ideas.

----- >8 -----
Subject: [PATCH] lint-gitlink: do not get confused by overly long ifdef directive

The old pattern, when encountered "ifndef::git-shortlog,git-bar[]",
complained that "hortlog," (i.e., a substring that is up to 8 bytes
long, that comes before "git-bar[]") is not "linkgit:", which was a
nonsense.

Signed-off-by: Junio C Hamano <[email-masked]>
---
 Documentation/lint-gitlink.perl | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Documentation/lint-gitlink.perl b/Documentation/lint-gitlink.perl
index f183a18df2..91621f9db1 100755
--- a/Documentation/lint-gitlink.perl
+++ b/Documentation/lint-gitlink.perl
@@ -41,7 +41,7 @@ sub report {
 @ARGV = $to_check;
 while (<>) {
 	my $line = $_;
-	while ($line =~ m/(.{,8})((git[-a-z]+|scalar)\[(\d)*\])/g) {
+	while ($line =~ m/([a-z]{,8}:+)((git[-a-z]+|scalar)\[(\d)*\])/g) {
 	    my $pos = pos $line;
 	    my ($macro, $target, $page, $section) = ($1, $2, $3, $4);
 		if ( $macro ne "linkgit:" && $macro !~ "ifn?def::" && $macro ne "endif::" ) {
-- 
2.53.0-rc0-249-g60c15f3eb8